<!DOCTYPE html>
<html>    
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // ===============================
 // --- on récupère les données ---
 // ===============================
 $Saisie_Entiers = $_POST['Saisie_Entiers'] ;               
 $Saisie_Notes   = $_POST['Saisie_Notes']   ;               
 $Saisie_Noms    = $_POST['Saisie_Noms']    ;               
 $Saisie_Mixte   = $_POST['Saisie_Mixte']   ;               
 // =============================
 // --- on traite les données ---
 // =============================
 // ----------------------------------------
 // --- Traitement d'une liste d'entiers ---
 // ----------------------------------------
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $Saisie_Entiers=trim($Saisie_Entiers);
 // remplace les espaces multiples par un seul espace
 $Saisie_Entiers= preg_replace('/\s{2,}/', ' ', $Saisie_Entiers);
 $tab_ent=explode(' ',$Saisie_Entiers);
 echo '--- Affichage de $tab_ent ---'.WEB_EOL;
 print_r($tab_ent)  ;
 echo WEB_EOL;
 // ---------------------------------------
 // --- Traitement d'une liste de réels ---
 // ---------------------------------------
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $Saisie_Notes=trim($Saisie_Notes);
 $Saisie_Notes= preg_replace('/\s{2,}/', ' ', $Saisie_Notes);
 // rangement dans le tableau
 $tab_notes=explode(' ',$Saisie_Notes);
 echo '--- Affichage de $tab_notes ---'.WEB_EOL;
 print_r($tab_notes);
 echo WEB_EOL;
 // --------------------------------------
 // --- Traitement d'une liste de noms ---
 // --------------------------------------
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $Saisie_Noms=trim($Saisie_Noms);
 // remplace les espaces multiples par un seul espace
 $Saisie_Noms= preg_replace('/\s{2,}/',' ',$Saisie_Noms);
 // remplace ; suivi d'un espace par ;
 $Saisie_Noms= preg_replace('/;\s/',';',$Saisie_Noms);
 // remplace un espace suivi d'un ; par ;
 $Saisie_Noms= preg_replace('/\s;/',';',$Saisie_Noms);
 // rangement dans le tableau
 $tab_noms=explode(';',$Saisie_Noms);
 echo '--- Affichage de $tab_noms ---'.WEB_EOL;
 print_r($tab_noms) ;
 echo WEB_EOL;
 // ---------------------------------------------
 // --- Traitement d'une liste données mixtes ---
 // ---------------------------------------------
 // --- traitement de la chaîne lue, ---
 // suppression des espaces au début , à la fin et suppression du saut de ligne
 $Saisie_Mixte=trim($Saisie_Mixte);
 // remplace les espaces multiples par un seul espace
 $Saisie_Mixte= preg_replace('/\s{2,}/',' ',$Saisie_Mixte);
 // remplace ; suivi d'un espace par ;
 $Saisie_Mixte= preg_replace('/;\s/',';',$Saisie_Mixte);
 // remplace un espace suivi d'un ; par ;
 $Saisie_Mixte= preg_replace('/\s;/',';',$Saisie_Mixte);
 // rangement dans le tableau
 $une_personne=explode(';',$Saisie_Mixte);
 echo '--- Affichage de $une_personne ---'.WEB_EOL;
 print_r($une_personne) ;
 echo WEB_EOL;
 ?>
 </body>
</html>

